ConnectionFactory
Date: 2016-06-25

org.osgi.service.io

## Interface ConnectionFactory

-     public interface ConnectionFactory

  A Connection Factory service is called by the implementation of the Connector Service to create `javax.microedition.io.Connection` objects which implement the scheme named by `IO_SCHEME`. When a `ConnectorService.open` method is called, the implementation of the Connector Service will examine the specified name for a scheme. The Connector Service will then look for a Connection Factory service which is registered with the service property `IO_SCHEME` which matches the scheme. The `createConnection(String, int, boolean)` method of the selected Connection Factory will then be called to create the actual `Connection` object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `IO_SCHEME` Service property containing the scheme(s) for which this Connection Factory can create `Connection` objects.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.microedition.io.Connection` | `createConnection(java.lang.String name, int mode, boolean timeouts)` Create a new `Connection` object for the specified URI.

- - ### Field Detail

    - #### IO_SCHEME

          static final java.lang.String IO_SCHEME

      Service property containing the scheme(s) for which this Connection Factory can create `Connection` objects. This property is of type `String[]`.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createConnection

          javax.microedition.io.Connection createConnection(java.lang.String name,
                                                          int mode,
                                                          boolean timeouts)
                                                            throws java.io.IOException

      Create a new `Connection` object for the specified URI.
      Parameters:
        `name` - The full URI passed to the `ConnectorService.open` method
        `mode` - The mode parameter passed to the `ConnectorService.open` method
        `timeouts` - The timeouts parameter passed to the `ConnectorService.open` method
      Returns:
        A new `javax.microedition.io.Connection` object.
      Throws:
        `java.io.IOException` - If a `javax.microedition.io.Connection` object cannot be created.